Bug 462935 - [LTC 6.0 FEAT] 201485:Lx86: Strong Access Ordering
[LTC 6.0 FEAT] 201485:Lx86: Strong Access Ordering
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Kevin W Monroe
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 RHEL6Kernel2.6.27
  Show dependency treegraph
 
Reported: 2008-09-19 16:40 EDT by IBM Bug Proxy
Modified: 2010-05-05 17:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 17:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-19 16:40:50 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:17 EDT
1. Feature Overview:
Feature Id:	[201485]
a. Name of Feature:	Lx86: Strong Access Ordering
b. Feature Description
Provide a system call to allow an application to enable Strong Access Ordering on specific pages of
memory on Power 7 hardware.  Currently, Power has a weaker memory model than x86.  Implementing a
stronger memory model allows an emulator to more efficiently translate x86 code into power code,
resulting in faster code execution.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Both
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.27

3. Business Case
This feature is requested for the Power VM Lx86 translator.  The support is being implemented into
the Power 7 hardware, and the application will need kernel support to take advantage of it.  The
result will be significantly faster execution of x86 binaries on Power hardware.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
David Kleikamp, shaggy@us.ibm.com
Comment 2 IBM Bug Proxy 2008-10-07 11:17:01 EDT
The function is in the 2.6.27-rc kernel, which the sles11 kernel is based on.  I have verified that the code is present on sles11-beta1.
Comment 3 Bill Nottingham 2008-10-07 11:26:57 EDT
Well, I can't comment on SLES 11, but RHEL 6 will use a recent upstream kernel, so just having this function should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 4 IBM Bug Proxy 2008-10-07 12:00:46 EDT
My bad.  I was thinking this feature was for sles11, not rhel6.  Either way, the code is upstream.
Comment 5 IBM Bug Proxy 2009-03-02 16:21:15 EST
this is upstream in 2.6.27
sha1 id: ef3d3246a0d06be622867d21af25f997aeeb105f
Comment 6 IBM Bug Proxy 2010-05-05 17:51:00 EDT
------- Comment From shaggy@linux.vnet.ibm.com 2010-05-05 17:48 EDT-------
This feature has been verified on RHEL 6 on Power 7.

Note You need to log in before you can comment on or make changes to this bug.